Subject: Re: skge- "soft lockup on CPU#0" with mtu=9000 (2.6.20.1 + web100 patch)

From: Stephen Hemminger <[email-masked]>
Date: Thu, 8 Mar 2007 13:48:11 -0800

On Thu, 8 Mar 2007 13:31:13 -0800 (PST)
Chris Stromsoe <[email-masked]> wrote:

> Thanks.  That fixes the soft lockup.
> 
> I've got another problem now.  The cards I'm using are dual port 
> (sk-9844).  I am bonding both ports together.
> 
> The card presents as eth2 and eth3.  If I remove eth2 from the bond so 
> that eth3 is the active interface, I get a hard lock (nothing prints to 
> serial console, sysrq isn't responsive) and have to power cycle.
> 
> This is with plain 2.6.20.1.  I also tested using skge.[ch] from the 
> current netdev git tree.

Which form of bonding failover, there are locking issues with some
of the bonding modes. You should ask on the bonding mailing list.

-- 
Stephen Hemminger <[email-masked]>